KMediaPlayer::View class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KMediaPlayer::View Class Reference

View is part of the user interface of a Player. More...

`#include <view.h>`

Inheritance diagram for KMediaPlayer::View:

[legend]
Collaboration diagram for KMediaPlayer::View:

[legend]
List of all members.

## Public Types
enum | Button { Play = 1, Stop = 2, Pause = 4, Seeker = 8, All = 255 }
| The Possible buttons that can appear in the UI. More...
## Public Slots
void | setButtons (int)
| Set which buttons to display.
bool | button (int)
| Returns if a particular button is being displayed.
void | showButton (int)
| Display a particular button.
void | hideButton (int)
| Stop displaying a particular button.
void | toggleButton (int)
| Toggle the display of a particular button.
## Signals
void | buttonsChanged (int)
| Emitted when the set of displayed buttons changes.
## Public Member Functions
| View (QWidget *parent, const char *name)
| Your typical QWidget constructor.
int | buttons (void)
| Return which buttons are being displayed.

## Detailed Description

View is part of the user interface of a Player.

Definition at line 33 of file kmediaplayer/view.h.

## Member Enumeration Documentation

enum KMediaPlayer::View::Button

  | The Possible buttons that can appear in the UI. Enumeration values:
  Play | Button that connects to Player::play.
  Stop | Button that connects to Player::stop.
  Pause | Button that connects to Player::pause.
  Seeker | A seeker that interfaces with Player::seek.
  All | Show all buttons.
Definition at line 43 of file kmediaplayer/view.h.

## Constructor & Destructor Documentation

KMediaPlayer::View::View | ( | QWidget * | parent,
|  | const char * | name
| ) |

| Your typical QWidget constructor. Definition at line 26 of file view.cpp. References KStdAccel::name().

## Member Function Documentation

int KMediaPlayer::View::buttons | ( | void |  | ) |

| Return which buttons are being displayed. Definition at line 37 of file view.cpp.

void KMediaPlayer::View::setButtons | ( | int |  | ) | `[slot]`

| Set which buttons to display. See also: Button. Definition at line 42 of file view.cpp. References buttonsChanged(). Referenced by hideButton(), showButton(), and toggleButton().

bool KMediaPlayer::View::button | ( | int |  | ) | `[slot]`

| Returns if a particular button is being displayed. Definition at line 51 of file view.cpp.

void KMediaPlayer::View::showButton | ( | int |  | ) | `[slot]`

| Display a particular button. Definition at line 56 of file view.cpp. References setButtons().

void KMediaPlayer::View::hideButton | ( | int |  | ) | `[slot]`

| Stop displaying a particular button. Definition at line 61 of file view.cpp. References setButtons().

void KMediaPlayer::View::toggleButton | ( | int |  | ) | `[slot]`

| Toggle the display of a particular button. Definition at line 66 of file view.cpp. References setButtons().

void KMediaPlayer::View::buttonsChanged | ( | int |  | ) | `[signal]`

| Emitted when the set of displayed buttons changes. Referenced by setButtons().

The documentation for this class was generated from the following files:

- kmediaplayer/view.h
- view.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001